Foxit PDF RDK

List of all members
FoxitPDFViewCtrl.IGestureEventListener Class Reference

The gesture event listener. More...

Inheritance diagram for FoxitPDFViewCtrl.IGestureEventListener:

## Public Member Functions
| onLongPress (event, action)
| Triggered on long press gesture. More...
< boolean > | onTap (event)
| Triggered on the tap gesture. More...
< boolean > | onDoubleTap (event)
| Triggered on the double tap gesture. More...
| onPinch (event, action)
| Triggered on the pinch gesture. More...
| onPan (event, action)
| Triggered on the pan gesture. More...

## Detailed Description

The gesture event listener.

## Member Function Documentation

## ◆ onDoubleTap()

<boolean> FoxitPDFViewCtrl.IGestureEventListener.onDoubleTap | ( | event |  | ) |

Triggered on the double tap gesture.

Parameters

  [in] | event | The gesture event.

Returns
  true means that this event has been handled by the event listener. false means that the event listener did not handle this event.

## ◆ onLongPress()

FoxitPDFViewCtrl.IGestureEventListener.onLongPress | ( | event | ,
|  | action |
| ) |  |

Triggered on long press gesture.

Parameters

  [in] | event | The gesture event.
  [in] | action | The action typelink ACTION_TYPE}.

Returns
  true means that this event has been handled by the event listener. false means that the event listener did not handle this event.

## ◆ onPan()

FoxitPDFViewCtrl.IGestureEventListener.onPan | ( | event | ,
|  | action |
| ) |  |

Triggered on the pan gesture.

Parameters

  [in] | event | The gesture event.
  [in] | action | The action typelink ACTION_TYPE}.

Returns
  true means that this event has been handled by the event listener. false means that the event listener did not handle this event.

## ◆ onPinch()

FoxitPDFViewCtrl.IGestureEventListener.onPinch | ( | event | ,
|  | action |
| ) |  |

Triggered on the pinch gesture.

Parameters

  [in] | event | The gesture event.
  [in] | action | The action typelink ACTION_TYPE}.

Returns
  true means that this event has been handled by the event listener. false means that the event listener did not handle this event.

## ◆ onTap()

<boolean> FoxitPDFViewCtrl.IGestureEventListener.onTap | ( | event |  | ) |

Triggered on the tap gesture.

Parameters

  [in] | event | The gesture event.

Returns
  true means that this event has been handled by the event listener. false means that the event listener did not handle this event.